Subject: Re: Why I can't bind the 1023 port?

From: Owen Stampflee <[email-masked]>
Date: Mon, 10 Jun 2002 19:42:37 +0000

On Tue, 2002-06-11 at 02:18, Daniel Lao wrote:
> The running result was that I could not bind these ports: 1023, 1022, ...
> but it was success in bind 1024 port.
> And while I su to as the super-user, I could bind all these ports!
> I am wondering if the ports were really protected, and how can I use the ports?

Yes, ports < 1024 are reserved ports for "public" applications and only
the superuser can bind them. To use them, you need to be a superuser. I
am not familar with rcp (I would use scp even for local transfers) but
it should be able to run on another port.

Owen

--
Owen Stampflee - [email-masked]
http://penguinppc.org/~owen

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/